Bug 144913 - Won't eject w/o root privilege
Won't eject w/o root privilege
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eject (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
: Reopened
: 142782 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-12 13:22 EST by Boris Goldowsky
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version: FC 4 or 5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-23 15:56:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Boris Goldowsky 2005-01-12 13:22:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Running FC3 with all current updates installed, eject command and
eject buttons on music players fail.  However, 'sudo eject' works. 
This seems to be new; it used to work with initial FC3 install.


Version-Release number of selected component (if applicable):
eject-2.0.13-10

How reproducible:
Always

Steps to Reproduce:
1. insert CD
2. Close CD-Player app that automatically opens.
3. eject -v
    

Actual Results:  eject: using default device `cdrom'
eject: device name is `cdrom'
eject: expanded name is `/dev/cdrom'
eject: `/dev/cdrom' is a link to `/dev/hdc'
eject: `/dev/hdc' is not mounted
eject: `/dev/hdc' is not a mount point
eject: `/dev/hdc' is a multipartition device
eject: trying to eject `/dev/hdc' using CD-ROM eject command
eject: CD-ROM eject command failed
eject: trying to eject `/dev/hdc' using SCSI commands
eject: SCSI eject failed
eject: trying to eject `/dev/hdc' using floppy eject command
eject: floppy eject command failed
eject: trying to eject `/dev/hdc' using tape offline command
eject: tape offline command failed
eject: unable to eject, last error: Invalid argument


Expected Results:  disk should be ejected.

Additional info:

'sudo eject -v' results in same output, but disk is in fact ejected.

drive is a Sony DVD RW DW-D18A

udev-039-10.FC3.6
eject-2.0.13-10
Comment 1 Ngo Than 2005-08-24 07:22:01 EDT
*** Bug 142782 has been marked as a duplicate of this bug. ***
Comment 2 Need Real Name 2006-01-27 14:51:19 EST
Same for rawhide. eject as a person with console access used to work, now only
root does. Annoying.
Comment 3 Matthew Miller 2006-07-10 16:15:26 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Boris Goldowsky 2006-07-15 11:27:05 EDT
eject is working fine again in FC5.  Not a security issue, so I'll mark it fixed.
Comment 5 Need Real Name 2006-07-15 11:45:01 EDT
It didn't work for me yesterday, I had to eject the cd by right-click the gnome
desktop icon, and choosing "eject".
Typing "eject" did nothing.
Comment 6 Andreas M. Kirchwitz 2006-07-15 15:46:15 EDT
In FC5 it still doesn't work properly.
Cannot eject CDs as user after using Grip;
must have root privileges to eject. I guess,
it depends on the type of CD somehow (like
extra multimedia tracks etc.)
Comment 7 Need Real Name 2006-07-19 09:51:23 EDT
I'd like to re-open this bug.

It doesn't make sense that a non-root user can eject the cd-rom when using
gnome, but that this fails to work when using the command-line.

$ eject /dev/hdd
umount: /media/LABEL is not in the fstab (and you are not root)
eject: unmount of `/media/LABEL' failed
Comment 8 Boris Goldowsky 2006-07-19 19:22:43 EDT
I can confirm that the command-line eject will not eject a mounted CD-ROM: you
have to be root to unmount the disk, or you have to be using a program with
special privilege (like Gnome's right-click eject).

That's somewhat different from the original bug report here, which was that
there was no way to eject a disk without a root password.

However, it does appear I was premature in closing this; the inconsistency is
annoying.  Reopening for FC5.
Comment 9 Ngo Than 2006-08-23 15:56:30 EDT
it's fixed in eject-2.1.5-0.1.fc5. Please update it from FC5-update
Comment 10 Need Real Name 2006-09-01 19:21:32 EDT
eject-2.1.5-0.1.fc5 doesn't work for me.

1. Insert a CD containing a file system
2. It automounts
3. Run "eject"
4. Get error:
umount: /media/LABEL\040WITH\040SPACES: not found
eject: unmount of `/LABEL\040WITH\040SPACES' failed
Comment 11 Need Real Name 2006-09-01 19:22:48 EDT
Same for eject-2.1.5-0.2.fc5.

Note You need to log in before you can comment on or make changes to this bug.